## Description

Please include a summary of the change and which issue is fixed.

## Type of change

- [ ] Bug fix
- [ ] New feature
- [ ] Breaking change
- [ ] This change requires a documentation update

## How Has This Been Tested

Please let us know if you have tested your PR and if we need to reproduce the issues. Also, please let us know if we need any relevant information for running the tests.

<ul>
 <li> Unit Testing </li>
 <li> UI Testing </li>
</ul>

## Test Configuration

<ul>
 <li> Xcode version: </li>
 <li> Device/Simulator </li>
 <li> iOS version</li>
 <li> MacOSX version</li>
</ul>

## Checklist:

 - [ ] My code follows the style guidelines of this project
 - [ ] I have performed a self-review of my own code
 - [ ] I have commented my code, particularly in hard-to-understand areas
 - [ ] My changes generate no new warnings
 - [ ] I have added tests that prove my fix is effective or that my feature works
 - [ ] New and existing unit tests pass locally with my changes before pushing the pull request
 - [ ] I have made sure all dependent downstream changes impacted by my pull request are working 
